Browse Site by Tags

Showing related tags and posts accross the entire site.
  • Avid academic (v.3.5) upgrade to 5.5

    Hello, I've been having a lot of trouble with AVID the past few weeks... I purchased a new iMac with Lion on it and wanted to transfer my current AVID (v.3.5) from my laptop to the desktop. I found out that that version doesn't work on Lion so downgraded to SNow Leopard. Don't anyone ever...
    Posted to Avid Media Composer - Mac (Forum) by Jarzz on Sat, Aug 27 2011
Page 1 of 1 (1 items)

© Copyright 2011 Avid Technology, Inc.  Terms of Use |  Privacy Policy |  Site Map |  Find a Reseller